Index: cprs/trunk/CPRS-Chart/Orders/fODMedIV.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Orders/fODMedIV.dfm	(revision 829)
+++ cprs/trunk/CPRS-Chart/Orders/fODMedIV.dfm	(revision 1679)
@@ -5,5 +5,5 @@
   Height = 465
   Caption = 'Infusion Order'
-  Constraints.MinHeight = 350
+  Constraints.MinHeight = 360
   Constraints.MinWidth = 500
   ExplicitWidth = 668
@@ -27,5 +27,5 @@
   object lblComponent: TLabel [2]
     Left = 214
-    Top = 7
+    Top = 6
     Width = 85
     Height = 13
@@ -34,5 +34,5 @@
   object lblAmount: TLabel [3]
     Left = 328
-    Top = 7
+    Top = 6
     Width = 84
     Height = 13
@@ -55,9 +55,9 @@
   end
   object Label1: TLabel [6]
-    Left = 8
-    Top = 344
-    Width = 133
-    Height = 13
-    Caption = ' * Indicates a Required Field'
+    Left = 10
+    Top = 345
+    Width = 44
+    Height = 13
+    Caption = 'Order Sig'
   end
   object lblRoute: TLabel [7]
@@ -131,5 +131,19 @@
     OnClick = lblTypeHelpClick
   end
-  object txtRate: TCaptionEdit [13]
+  object lblAddFreq: TLabel [13]
+    Left = 488
+    Top = 6
+    Width = 95
+    Height = 13
+    Caption = 'Additive Frequency*'
+  end
+  object lblPrevAddFreq: TLabel [14]
+    Left = 557
+    Top = 6
+    Width = 77
+    Height = 13
+    Caption = 'Prev. Add. Freq.'
+  end
+  object txtRate: TCaptionEdit [15]
     Left = 486
     Top = 211
@@ -137,9 +151,9 @@
     Height = 21
     AutoSelect = False
-    TabOrder = 8
+    TabOrder = 10
     OnChange = txtRateChange
     Caption = 'Infusion Rate'
   end
-  object cboPriority: TORComboBox [14]
+  object cboPriority: TORComboBox [16]
     Left = 8
     Top = 252
@@ -161,17 +175,18 @@
     Sorted = False
     SynonymChars = '<>'
-    TabOrder = 10
+    TabOrder = 12
     OnChange = cboPriorityChange
     OnExit = cboPriorityExit
+    OnKeyUp = cboPriorityKeyUp
     CharsNeedMatch = 1
   end
-  object grdSelected: TCaptionStringGrid [15]
-    Left = 214
-    Top = 21
+  object grdSelected: TCaptionStringGrid [17]
+    Left = 215
+    Top = 18
     Width = 437
     Height = 76
-    ColCount = 3
     DefaultColWidth = 100
     DefaultRowHeight = 19
+    DefaultDrawing = False
     FixedCols = 0
     RowCount = 1
@@ -179,11 +194,10 @@
     Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goDrawFocusSelected]
     ScrollBars = ssVertical
-    TabOrder = 1
+    TabOrder = 2
     OnDrawCell = grdSelectedDrawCell
     OnKeyPress = grdSelectedKeyPress
     OnMouseDown = grdSelectedMouseDown
-    Caption = 'Selected Solution and Additives'
-  end
-  object cmdRemove: TButton [16]
+  end
+  object cmdRemove: TButton [18]
     Left = 443
     Top = 100
@@ -191,8 +205,8 @@
     Height = 18
     Caption = 'Remove'
-    TabOrder = 2
+    TabOrder = 3
     OnClick = cmdRemoveClick
   end
-  object memComments: TCaptionMemo [17]
+  object memComments: TCaptionMemo [19]
     Left = 214
     Top = 121
@@ -202,9 +216,9 @@
       'memComments')
     ScrollBars = ssVertical
-    TabOrder = 13
+    TabOrder = 4
     OnChange = ControlChange
     Caption = 'Comments'
   end
-  object txtSelected: TCaptionEdit [18]
+  object txtSelected: TCaptionEdit [20]
     Tag = -1
     Left = 416
@@ -219,9 +233,10 @@
     OnChange = txtSelectedChange
     OnExit = txtSelectedExit
+    OnKeyDown = txtSelectedKeyDown
     Caption = 'Volume'
   end
-  object cboSelected: TCaptionComboBox [19]
+  object cboSelected: TCaptionComboBox [21]
     Tag = -1
-    Left = 460
+    Left = 462
     Top = 45
     Width = 53
@@ -231,19 +246,18 @@
     ItemHeight = 13
     ParentCtl3D = False
-    TabOrder = 4
+    TabOrder = 6
     Visible = False
-    OnChange = cboSelectedChange
-    OnExit = cboSelectedExit
+    OnCloseUp = cboSelectedCloseUp
+    OnKeyDown = cboSelectedKeyDown
     Caption = 'Volume/Strength'
   end
   inherited memOrder: TCaptionMemo
-    Top = 359
+    Top = 364
     Width = 475
-    TabStop = True
-    TabOrder = 16
-    ExplicitTop = 359
+    TabOrder = 17
+    ExplicitTop = 364
     ExplicitWidth = 475
   end
-  object pnlXDuration: TPanel [21]
+  object pnlXDuration: TPanel [23]
     Left = 184
     Top = 252
@@ -251,5 +265,5 @@
     Height = 21
     BevelOuter = bvNone
-    TabOrder = 11
+    TabOrder = 13
     OnEnter = pnlXDurationEnter
     object txtXDuration: TCaptionEdit
@@ -261,5 +275,4 @@
       OnChange = txtXDurationChange
       OnExit = txtXDurationExit
-      Caption = 'Duration'
     end
     object cboDuration: TComboBox
@@ -269,10 +282,10 @@
       Height = 21
       ItemHeight = 13
-      TabOrder = 2
+      TabOrder = 1
       OnChange = cboDurationChange
       OnEnter = cboDurationEnter
     end
   end
-  object pnlCombo: TPanel [22]
+  object pnlCombo: TPanel [24]
     Left = 8
     Top = 2
@@ -280,5 +293,5 @@
     Height = 185
     BevelOuter = bvNone
-    TabOrder = 25
+    TabOrder = 26
     object cboAdditive: TORComboBox
       Left = 0
@@ -303,5 +316,5 @@
       SynonymChars = '<>'
       TabPositions = '20'
-      TabOrder = 0
+      TabOrder = 1
       OnExit = cboAdditiveExit
       OnMouseClick = cboAdditiveMouseClick
@@ -321,5 +334,4 @@
         '   Additives   ')
       TabIndex = 0
-      TabStop = False
       OnChange = tabFluidChange
     end
@@ -346,5 +358,5 @@
       SynonymChars = '<>'
       TabPositions = '20'
-      TabOrder = 1
+      TabOrder = 0
       OnExit = cboSolutionExit
       OnMouseClick = cboSolutionMouseClick
@@ -353,5 +365,5 @@
     end
   end
-  object cboRoute: TORComboBox [23]
+  object cboRoute: TORComboBox [25]
     Left = 8
     Top = 211
@@ -372,12 +384,14 @@
     Sorted = False
     SynonymChars = '<>'
-    TabOrder = 3
+    TabOrder = 5
     OnChange = cboRouteChange
     OnClick = cboRouteClick
     OnExit = cboRouteExit
+    OnKeyDown = cboRouteKeyDown
+    OnKeyUp = cboRouteKeyUp
     CharsNeedMatch = 1
     UniqueAutoComplete = True
   end
-  object cboSchedule: TORComboBox [24]
+  object cboSchedule: TORComboBox [26]
     Left = 304
     Top = 211
@@ -398,12 +412,14 @@
     Sorted = True
     SynonymChars = '<>'
-    TabOrder = 6
+    TabOrder = 8
     OnChange = cboScheduleChange
     OnClick = cboScheduleClick
     OnExit = cboScheduleExit
+    OnKeyDown = cboScheduleKeyDown
+    OnKeyUp = cboScheduleKeyUp
     CharsNeedMatch = 1
     UniqueAutoComplete = True
   end
-  object cboType: TComboBox [25]
+  object cboType: TComboBox [27]
     Left = 184
     Top = 211
@@ -413,8 +429,9 @@
     ParentShowHint = False
     ShowHint = True
-    TabOrder = 5
+    TabOrder = 7
     OnChange = cboTypeChange
-  end
-  object chkPRN: TCheckBox [26]
+    OnKeyDown = cboTypeKeyDown
+  end
+  object chkPRN: TCheckBox [28]
     Left = 436
     Top = 213
@@ -422,8 +439,8 @@
     Height = 21
     Caption = 'PRN'
-    TabOrder = 7
+    TabOrder = 9
     OnClick = chkPRNClick
   end
-  object chkDoseNow: TCheckBox [27]
+  object chkDoseNow: TCheckBox [29]
     Left = 8
     Top = 279
@@ -433,8 +450,8 @@
     Caption = 'Give Additional Dose Now'
     Constraints.MinWidth = 147
-    TabOrder = 12
+    TabOrder = 14
     OnClick = chkDoseNowClick
   end
-  object cboInfusionTime: TComboBox [28]
+  object cboInfusionTime: TComboBox [30]
     Left = 576
     Top = 211
@@ -442,9 +459,9 @@
     Height = 21
     ItemHeight = 13
-    TabOrder = 9
+    TabOrder = 11
     OnChange = cboInfusionTimeChange
     OnEnter = cboInfusionTimeEnter
   end
-  object lblAdminTime: TVA508StaticText [29]
+  object lblAdminTime: TVA508StaticText [31]
     Name = 'lblAdminTime'
     Left = 8
@@ -455,10 +472,10 @@
     ParentShowHint = False
     ShowHint = True
-    TabOrder = 14
+    TabOrder = 15
     TabStop = True
     Visible = False
     ShowAccelChar = True
   end
-  object lblFirstDose: TVA508StaticText [30]
+  object lblFirstDose: TVA508StaticText [32]
     Name = 'lblFirstDose'
     Left = 8
@@ -467,29 +484,51 @@
     Height = 4
     Alignment = taLeftJustify
-    TabOrder = 15
+    TabOrder = 16
     TabStop = True
     Visible = False
     ShowAccelChar = True
   end
+  object cboAddFreq: TCaptionComboBox [33]
+    Left = 488
+    Top = 72
+    Width = 145
+    Height = 21
+    ItemHeight = 13
+    TabOrder = 25
+    Visible = False
+    OnCloseUp = cboAddFreqCloseUp
+    OnKeyDown = cboAddFreqKeyDown
+  end
   inherited cmdAccept: TButton
     Left = 495
-    Top = 359
-    TabOrder = 17
+    Top = 364
+    TabOrder = 18
     ExplicitLeft = 495
-    ExplicitTop = 359
+    ExplicitTop = 364
   end
   inherited cmdQuit: TButton
     Left = 495
-    Top = 386
-    TabOrder = 18
+    Top = 391
+    TabOrder = 19
     ExplicitLeft = 495
-    ExplicitTop = 386
+    ExplicitTop = 391
   end
   inherited pnlMessage: TPanel
     Left = 56
-    Top = 349
-    TabOrder = 19
+    Top = 341
+    TabOrder = 20
     ExplicitLeft = 56
-    ExplicitTop = 349
+    ExplicitTop = 341
+  end
+  object lbl508Required: TVA508StaticText [37]
+    Name = 'lbl508Required'
+    Left = 6
+    Top = 318
+    Width = 135
+    Height = 15
+    Alignment = taLeftJustify
+    Caption = ' * Indicates a Required Field'
+    TabOrder = 1
+    ShowAccelChar = True
   end
   inherited amgrMain: TVA508AccessibilityManager
@@ -497,8 +536,10 @@
       (
         'Component = txtRate'
-        'Status = stsDefault')
+        'Label = lblInfusionRate'
+        'Status = stsOK')
       (
         'Component = cboPriority'
-        'Status = stsDefault')
+        'Label = lblPriority'
+        'Status = stsOK')
       (
         'Component = grdSelected'
@@ -521,5 +562,6 @@
       (
         'Component = txtXDuration'
-        'Status = stsDefault')
+        'Label = lblLimit'
+        'Status = stsOK')
       (
         'Component = pnlCombo'
@@ -536,11 +578,14 @@
       (
         'Component = cboRoute'
-        'Status = stsDefault')
+        'Label = lblRoute'
+        'Status = stsOK')
       (
         'Component = cboSchedule'
-        'Status = stsDefault')
+        'Label = lblSchedule'
+        'Status = stsOK')
       (
         'Component = cboType'
-        'Status = stsDefault')
+        'Label = lblType'
+        'Status = stsOK')
       (
         'Component = chkPRN'
@@ -551,5 +596,6 @@
       (
         'Component = memOrder'
-        'Status = stsDefault')
+        'Label = Label1'
+        'Status = stsOK')
       (
         'Component = cmdAccept'
@@ -569,8 +615,10 @@
       (
         'Component = cboInfusionTime'
-        'Status = stsDefault')
+        'Text = Infusion Rate Time'
+        'Status = stsOK')
       (
         'Component = cboDuration'
-        'Status = stsDefault')
+        'Text = Duration/Volume Units'
+        'Status = stsOK')
       (
         'Component = lblAdminTime'
@@ -578,5 +626,41 @@
       (
         'Component = lblFirstDose'
+        'Status = stsDefault')
+      (
+        'Component = cboAddFreq'
+        'Status = stsDefault')
+      (
+        'Component = lbl508Required'
         'Status = stsDefault'))
   end
+  object VA508CompOrderSig: TVA508ComponentAccessibility
+    Component = memOrder
+    OnStateQuery = VA508CompOrderSigStateQuery
+    Left = 24
+    Top = 368
+  end
+  object VA508CompRoute: TVA508ComponentAccessibility
+    Component = cboRoute
+    OnInstructionsQuery = VA508CompRouteInstructionsQuery
+    Left = 104
+    Top = 240
+  end
+  object VA508CompType: TVA508ComponentAccessibility
+    Component = cboType
+    OnInstructionsQuery = VA508CompTypeInstructionsQuery
+    Left = 224
+    Top = 280
+  end
+  object VA508CompSchedule: TVA508ComponentAccessibility
+    Component = cboSchedule
+    OnInstructionsQuery = VA508CompScheduleInstructionsQuery
+    Left = 384
+    Top = 240
+  end
+  object VA508CompGrdSelected: TVA508ComponentAccessibility
+    Component = grdSelected
+    OnCaptionQuery = VA508CompGrdSelectedCaptionQuery
+    Left = 288
+    Top = 64
+  end
 end
